UpdateDimension
Note
The AWS IoT Device Defender detect feature will no longer be available to new customers starting August 31, 2026. If you would like to use the detect feature, sign up prior to August 31, 2026. To learn about alternatives to AWS IoT Device Defender detect, see AWS IoT Device Defender detect feature availability change. There is no change to AWS IoT Device Defender audit availability.
Updates the definition for a dimension. You cannot change the type of a dimension after it is created (you can delete it and recreate it).
Requires permission to access the UpdateDimension action.
Request Syntax
PATCH /dimensions/name HTTP/1.1
Content-type: application/json
{
"stringValues": [ "string" ]
}
URI Request Parameters
The request uses the following URI parameters.
- name
-
A unique identifier for the dimension. Choose something that describes the type and value to make it easy to remember what it does.
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9:_-]+Required: Yes
Request Body
The request accepts the following data in JSON format.
- stringValues
-
Specifies the value or list of values for the dimension. For
TOPIC_FILTERdimensions, this is a pattern used to match the MQTT topic (for example, "admin/#").Type: Array of strings
Array Members: Minimum number of 1 item. Maximum number of 100 items.
Length Constraints: Minimum length of 1. Maximum length of 256.
Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"arn": "string",
"creationDate": number,
"lastModifiedDate": number,
"name": "string",
"stringValues": [ "string" ],
"type": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- arn
-
The Amazon Resource Name (ARN)of the created dimension.
Type: String
- creationDate
-
The date and time, in milliseconds since epoch, when the dimension was initially created.
Type: Timestamp
- lastModifiedDate
-
The date and time, in milliseconds since epoch, when the dimension was most recently updated.
Type: Timestamp
- name
-
A unique identifier for the dimension.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[a-zA-Z0-9:_-]+ - stringValues
-
The value or list of values used to scope the dimension. For example, for topic filters, this is the pattern used to match the MQTT topic name.
Type: Array of strings
Array Members: Minimum number of 1 item. Maximum number of 100 items.
Length Constraints: Minimum length of 1. Maximum length of 256.
- type
-
The type of the dimension.
Type: String
Valid Values:
TOPIC_FILTER
Errors
- InternalFailureException
-
An unexpected error has occurred.
- message
-
The message for the exception.
HTTP Status Code: 500
- InvalidRequestException
-
The request is not valid.
- message
-
The message for the exception.
HTTP Status Code: 400
- ResourceNotFoundException
-
The specified resource does not exist.
- message
-
The message for the exception.
HTTP Status Code: 404
- ThrottlingException
-
The rate exceeds the limit.
- message
-
The message for the exception.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: